<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Commissions StructType
 * @subpackage Structs
 */
class JP_Commissions extends AbstractStructBase
{
    /**
     * The Included
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $Included;
    /**
     * The Amount
     * Meta information extracted from the WSDL
     * - use: required
     * @var float
     */
    public $Amount;
    /**
     * Constructor method for JP_Commissions
     * @uses JP_Commissions::setIncluded()
     * @uses JP_Commissions::setAmount()
     * @param bool $included
     * @param float $amount
     */
    public function __construct($included = null, $amount = null)
    {
        $this
            ->setIncluded($included)
            ->setAmount($amount);
    }
    /**
     * Get Included value
     * @return bool
     */
    public function getIncluded()
    {
        return $this->Included;
    }
    /**
     * Set Included value
     * @param bool $included
     * @return \StructType\JP_Commissions
     */
    public function setIncluded($included = null)
    {
        // validation for constraint: boolean
        if (!is_null($included) && !is_bool($included)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($included, true), gettype($included)), __LINE__);
        }
        $this->Included = $included;
        return $this;
    }
    /**
     * Get Amount value
     * @return float
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param float $amount
     * @return \StructType\JP_Commissions
     */
    public function setAmount($amount = null)
    {
        // validation for constraint: float
        if (!is_null($amount) && !(is_float($amount) || is_numeric($amount))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amount, true), gettype($amount)), __LINE__);
        }
        $this->Amount = $amount;
        return $this;
    }
}
